iScreensaver Logotype
iScreensaver 5.2 has been released, and provides support for macOS High Sierra 10.13. Please read the 10.13 High Sierra Tech Note as well as the Release Notes. macOS 10.14 Mojave is under investigation, and is not yet recommended.

[Solved] HELP! Customers having problems on Mac when "require password" is set to "immediate"

edited September 25 in General Discussions
Hi folks, new customer, urgent question.

We bought iScreensaver (v5.2.0) about a week ago to re-encode our original SWF file into a Mac version.

We started selling our Mac version last Friday, and already we've had several people complain that when their Mac is set to require a password "immediately" after running the screensaver, they have problems.

In one case it generates a "runtime" error. "Could not open plugin." Customer is running High Sierra 10.13.3 on a macbook pro.

In another case, the screensaver will not "run" (iMac 27" Retina 5k 2017 running IOS 10.13.4).

I cannot reproduce any errors on my own computer (iMac running 10.11.6 El Capitan).

Can anyone help me out and give me a clue as to how I could fix this? Thanks!

Karl

Comments

  • It sounds like you may be seeing a few different issues:

    1. Apple broke some things in 10.13 (High Sierra) related to screensaver functionality. Require password "immediately" does not work. Require password "after 5 seconds" may or may not work (depending on the speed of the mac). Require password times of 1 minute or longer should work. Please read https://iscreensaver.com/help/notes/high_sierra/high_sierra.shtml

    2. If the screensaver does not run at all, and you are using SWF (Flash) content, it could be that the user's installation of Flash Player is outdated. Go to System Preferences / Flash Player / Updates / Check Now and install the latest version.

    3. The "runtime error - could not open plugin" is one we haven't heard about on macOS. It sounds like a corrupted installation or perhaps malfunctioning antivirus software, but we need more info. Can you get a screenshot or check the system log for more info? (Open Console.app, click System.log on the sidebar, and search for lines containing "iscreensaver" - email us a copy of the log if you see anything.
  • THANKS! I totally missed the note about High Sierra, so this is vital information.
  • The customer only sent this (blurry) screengrab but you might be able to make sense out of it https://www.flickr.com/photos/karltate/27360072658/in/dateposted/
  • Thanks - that error happens when the screensaver is not installed properly - parts of the screensaver package are missing. Did the user install the screensaver using the normal installer process or do something else? For example, if a user installs the screensaver one one computer using the installer, then tries to copy the .saver file to another computer without using the installer...
  • Good to know! I have no idea if the .saver file was copied or if the installer was used properly as intended. We refunded that customer's money already though.
  • Thanks - our suspicion is a botched installation, but it might be due to antivirus malfunctioning as well. Eager to hear if you get more info from the customer.
  • Thanks for the iScreensaver update to handle High Sierra 10.13! We will distribute the new version to our customers.

    Another issue we have is customers still running 10.8.5! iScreensaver 5 only supports 10.9 and above as you know. But I can't seem to run iScreensaver 4 with my registration code.

    Is there a solution to this? That is, is there some way to make a 10.8.5 version for my customers who do not have a later OS installed? Thanks for any help!

    Karl
  • Hi Karl - Please contact us at support@iscreensaver.com and we'll check on the status of your version 4 license.
  • Thanks!
Sign In or Register to comment.